<?xml version="1.0" encoding="UTF-8"?>
<!--
Template derived pattern
===========================================
ID: 2.16.840.1.113883.2.4.6.10.100.119
Name: A_OntvangenZorg [universal]
Description: COCT_RM900917NL: Gegevens van de zorg die ontvangen is of wordt ontvangen door het gezin.
-->
<pattern xmlns="http://purl.oclc.org/dsdl/schematron"
         id="template-2.16.840.1.113883.2.4.6.10.100.119-2012-08-01T000000">
   <title>A_OntvangenZorg [universal]</title>
   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.100.119
Context: *[hl7:patientCareProvision[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.119']]
Item: (A_OntvangenZorg-universal)
-->

   <rule context="*[hl7:patientCareProvision[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.119']]"
         id="tmp-r-83c2485f-be52-43d2-b533-097c0cc12732">
      <assert role="error"
              see="http://decor.nictiz.nl/pub/jeugdgezondheidszorg/jgz-html-20150715T103238/tmp-2.16.840.1.113883.2.4.6.10.100.119-2012-08-01T000000.html"
              test="count(hl7:patientCareProvision[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.119'])&gt;=1 and not(hl7:patientCareProvision[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.119']/@nullFlavor)">(A_OntvangenZorg-universal): element hl7:patientCareProvision[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.119'] is mandatory [min 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/jeugdgezondheidszorg/jgz-html-20150715T103238/tmp-2.16.840.1.113883.2.4.6.10.100.119-2012-08-01T000000.html"
              test="count(hl7:patientCareProvision[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.119'])&lt;=1">(A_OntvangenZorg-universal): element hl7:patientCareProvision[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.119'] komt te vaak voor [max 1x].</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.100.119
Context: *[hl7:patientCareProvision[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.119']]/hl7:patientCareProvision[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.119']
Item: (A_OntvangenZorg-universal)
-->

   <rule context="*[hl7:patientCareProvision[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.119']]/hl7:patientCareProvision[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.119']"
         id="tmp-r-f1428ee0-91b7-4e74-bf88-6ade08f7e8e0">
      <assert role="error"
              see="http://decor.nictiz.nl/pub/jeugdgezondheidszorg/jgz-html-20150715T103238/tmp-2.16.840.1.113883.2.4.6.10.100.119-2012-08-01T000000.html"
              test="string(@classCode)=('PCPR') or not(@classCode)">(A_OntvangenZorg-universal): de waarde van @classCode MOET 'PCPR' zijn.</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/jeugdgezondheidszorg/jgz-html-20150715T103238/tmp-2.16.840.1.113883.2.4.6.10.100.119-2012-08-01T000000.html"
              test="not(@classCode) or (string-length(@classCode)&gt;0 and not(matches(@classCode,'\s')))">(A_OntvangenZorg-universal): attribuut @classCode MOET datatype 'cs' hebben</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/jeugdgezondheidszorg/jgz-html-20150715T103238/tmp-2.16.840.1.113883.2.4.6.10.100.119-2012-08-01T000000.html"
              test="string(@moodCode)=('EVN') or not(@moodCode)">(A_OntvangenZorg-universal): de waarde van @moodCode MOET 'EVN' zijn.</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/jeugdgezondheidszorg/jgz-html-20150715T103238/tmp-2.16.840.1.113883.2.4.6.10.100.119-2012-08-01T000000.html"
              test="not(@moodCode) or (string-length(@moodCode)&gt;0 and not(matches(@moodCode,'\s')))">(A_OntvangenZorg-universal): attribuut @moodCode MOET datatype 'cs' hebben</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/jeugdgezondheidszorg/jgz-html-20150715T103238/tmp-2.16.840.1.113883.2.4.6.10.100.119-2012-08-01T000000.html"
              test="count(hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.100.119'])&gt;=1 and not(hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.100.119']/@nullFlavor)">(A_OntvangenZorg-universal): element hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.100.119'] is mandatory [min 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/jeugdgezondheidszorg/jgz-html-20150715T103238/tmp-2.16.840.1.113883.2.4.6.10.100.119-2012-08-01T000000.html"
              test="count(hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.100.119'])&lt;=1">(A_OntvangenZorg-universal): element hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.100.119'] komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/jeugdgezondheidszorg/jgz-html-20150715T103238/tmp-2.16.840.1.113883.2.4.6.10.100.119-2012-08-01T000000.html"
              test="count(hl7:code[concat(@code,@codeSystem)=doc('include/voc-2.16.840.1.113883.2.4.3.11.60.100.11.2.305-DYNAMIC.xml')/*/valueSet/conceptList/concept/concat(@code,@codeSystem) or (@nullFlavor=doc('include/voc-2.16.840.1.113883.2.4.3.11.60.100.11.2.305-DYNAMIC.xml')/*/valueSet/conceptList/exception/@code) or @nullFlavor])&gt;=1 ">(A_OntvangenZorg-universal): element hl7:code[concat(@code,@codeSystem)=doc('include/voc-2.16.840.1.113883.2.4.3.11.60.100.11.2.305-DYNAMIC.xml')/*/valueSet/conceptList/concept/concat(@code,@codeSystem) or (@nullFlavor=doc('include/voc-2.16.840.1.113883.2.4.3.11.60.100.11.2.305-DYNAMIC.xml')/*/valueSet/conceptList/exception/@code) or @nullFlavor] is required [min 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/jeugdgezondheidszorg/jgz-html-20150715T103238/tmp-2.16.840.1.113883.2.4.6.10.100.119-2012-08-01T000000.html"
              test="count(hl7:code[concat(@code,@codeSystem)=doc('include/voc-2.16.840.1.113883.2.4.3.11.60.100.11.2.305-DYNAMIC.xml')/*/valueSet/conceptList/concept/concat(@code,@codeSystem) or (@nullFlavor=doc('include/voc-2.16.840.1.113883.2.4.3.11.60.100.11.2.305-DYNAMIC.xml')/*/valueSet/conceptList/exception/@code) or @nullFlavor])&lt;=1">(A_OntvangenZorg-universal): element hl7:code[concat(@code,@codeSystem)=doc('include/voc-2.16.840.1.113883.2.4.3.11.60.100.11.2.305-DYNAMIC.xml')/*/valueSet/conceptList/concept/concat(@code,@codeSystem) or (@nullFlavor=doc('include/voc-2.16.840.1.113883.2.4.3.11.60.100.11.2.305-DYNAMIC.xml')/*/valueSet/conceptList/exception/@code) or @nullFlavor] komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/jeugdgezondheidszorg/jgz-html-20150715T103238/tmp-2.16.840.1.113883.2.4.6.10.100.119-2012-08-01T000000.html"
              test="count(hl7:text)&lt;=1">(A_OntvangenZorg-universal): element hl7:text komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/jeugdgezondheidszorg/jgz-html-20150715T103238/tmp-2.16.840.1.113883.2.4.6.10.100.119-2012-08-01T000000.html"
              test="count(hl7:statusCode[@code='active' or @code='completed' or @nullFlavor])&gt;=1 ">(A_OntvangenZorg-universal): element hl7:statusCode[@code='active' or @code='completed' or @nullFlavor] is required [min 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/jeugdgezondheidszorg/jgz-html-20150715T103238/tmp-2.16.840.1.113883.2.4.6.10.100.119-2012-08-01T000000.html"
              test="count(hl7:statusCode[@code='active' or @code='completed' or @nullFlavor])&lt;=1">(A_OntvangenZorg-universal): element hl7:statusCode[@code='active' or @code='completed' or @nullFlavor] komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/jeugdgezondheidszorg/jgz-html-20150715T103238/tmp-2.16.840.1.113883.2.4.6.10.100.119-2012-08-01T000000.html"
              test="count(hl7:effectiveTime)&gt;=1 and not(hl7:effectiveTime/@nullFlavor)">(A_OntvangenZorg-universal): element hl7:effectiveTime is mandatory [min 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/jeugdgezondheidszorg/jgz-html-20150715T103238/tmp-2.16.840.1.113883.2.4.6.10.100.119-2012-08-01T000000.html"
              test="count(hl7:effectiveTime)&lt;=1">(A_OntvangenZorg-universal): element hl7:effectiveTime komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/jeugdgezondheidszorg/jgz-html-20150715T103238/tmp-2.16.840.1.113883.2.4.6.10.100.119-2012-08-01T000000.html"
              test="count(hl7:subject)&gt;=1 and not(hl7:subject/@nullFlavor)">(A_OntvangenZorg-universal): element hl7:subject is mandatory [min 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/jeugdgezondheidszorg/jgz-html-20150715T103238/tmp-2.16.840.1.113883.2.4.6.10.100.119-2012-08-01T000000.html"
              test="count(hl7:subject)&lt;=1">(A_OntvangenZorg-universal): element hl7:subject komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/jeugdgezondheidszorg/jgz-html-20150715T103238/tmp-2.16.840.1.113883.2.4.6.10.100.119-2012-08-01T000000.html"
              test="count(hl7:goal[hl7:observationGoal[hl7:code[(@code='829' and @codeSystem='2.16.840.1.113883.2.4.4.40.267')]]])&lt;=1">(A_OntvangenZorg-universal): element hl7:goal[hl7:observationGoal[hl7:code[(@code='829' and @codeSystem='2.16.840.1.113883.2.4.4.40.267')]]] komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/jeugdgezondheidszorg/jgz-html-20150715T103238/tmp-2.16.840.1.113883.2.4.6.10.100.119-2012-08-01T000000.html"
              test="count(hl7:reasonOf[hl7:patientCareObservation[hl7:code[(@code='365' and @codeSystem='2.16.840.1.113883.2.4.4.40.267')]]])&lt;=1">(A_OntvangenZorg-universal): element hl7:reasonOf[hl7:patientCareObservation[hl7:code[(@code='365' and @codeSystem='2.16.840.1.113883.2.4.4.40.267')]]] komt te vaak voor [max 1x].</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.100.119
Context: *[hl7:patientCareProvision[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.119']]/hl7:patientCareProvision[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.119']/hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.100.119']
Item: (A_OntvangenZorg-universal)
-->

   <rule context="*[hl7:patientCareProvision[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.119']]/hl7:patientCareProvision[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.119']/hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.100.119']"
         id="tmp-r-924a2ec4-d2a5-40d7-9bed-a9801e18f7e5">
      <assert role="error"
              see="http://decor.nictiz.nl/pub/jeugdgezondheidszorg/jgz-html-20150715T103238/tmp-2.16.840.1.113883.2.4.6.10.100.119-2012-08-01T000000.html"
              test="(local-name-from-QName(resolve-QName(@xsi:type,.))='II' and namespace-uri-from-QName(resolve-QName(@xsi:type,.))='urn:hl7-org:v3') or not(@xsi:type)">(A_OntvangenZorg-universal): indien er een @xsi:type instructie aanwezig is MOET deze de waarde "{urn:hl7-org:v3}:II" bevatten, gevonden "{<value-of select="namespace-uri-from-QName(resolve-QName(@xsi:type,.))"/>}:<value-of select="local-name-from-QName(resolve-QName(@xsi:type,.))"/>"</assert>
      <extends rule="II"/>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/jeugdgezondheidszorg/jgz-html-20150715T103238/tmp-2.16.840.1.113883.2.4.6.10.100.119-2012-08-01T000000.html"
              test="string(@root)=('2.16.840.1.113883.2.4.6.10.100.119')">(A_OntvangenZorg-universal): de waarde van @root MOET '2.16.840.1.113883.2.4.6.10.100.119' zijn.</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/jeugdgezondheidszorg/jgz-html-20150715T103238/tmp-2.16.840.1.113883.2.4.6.10.100.119-2012-08-01T000000.html"
              test="not(@root) or matches(@root,'^[0-2](\.(0|[1-9]\d*))*$')">(A_OntvangenZorg-universal): attribuut @root MOET datatype 'oid' hebben</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.100.119
Context: *[hl7:patientCareProvision[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.119']]/hl7:patientCareProvision[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.119']/hl7:code[concat(@code,@codeSystem)=doc('include/voc-2.16.840.1.113883.2.4.3.11.60.100.11.2.305-DYNAMIC.xml')/*/valueSet/conceptList/concept/concat(@code,@codeSystem) or (@nullFlavor=doc('include/voc-2.16.840.1.113883.2.4.3.11.60.100.11.2.305-DYNAMIC.xml')/*/valueSet/conceptList/exception/@code) or @nullFlavor]
Item: (A_OntvangenZorg-universal)
-->

   <rule context="*[hl7:patientCareProvision[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.119']]/hl7:patientCareProvision[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.119']/hl7:code[concat(@code,@codeSystem)=doc('include/voc-2.16.840.1.113883.2.4.3.11.60.100.11.2.305-DYNAMIC.xml')/*/valueSet/conceptList/concept/concat(@code,@codeSystem) or (@nullFlavor=doc('include/voc-2.16.840.1.113883.2.4.3.11.60.100.11.2.305-DYNAMIC.xml')/*/valueSet/conceptList/exception/@code) or @nullFlavor]"
         id="tmp-r-e57e2a61-5612-49d0-aa02-646773cd9e76">
      <assert role="error"
              see="http://decor.nictiz.nl/pub/jeugdgezondheidszorg/jgz-html-20150715T103238/tmp-2.16.840.1.113883.2.4.6.10.100.119-2012-08-01T000000.html"
              test="(local-name-from-QName(resolve-QName(@xsi:type,.))='CV' and namespace-uri-from-QName(resolve-QName(@xsi:type,.))='urn:hl7-org:v3') or not(@xsi:type)">(A_OntvangenZorg-universal): indien er een @xsi:type instructie aanwezig is MOET deze de waarde "{urn:hl7-org:v3}:CV" bevatten, gevonden "{<value-of select="namespace-uri-from-QName(resolve-QName(@xsi:type,.))"/>}:<value-of select="local-name-from-QName(resolve-QName(@xsi:type,.))"/>"</assert>
      <extends rule="CV"/>
      <let name="theCode" value="@code"/>
      <let name="theCodeSystem" value="@codeSystem"/>
      <let name="theCodeSystemVersion" value="@codeSystemVersion"/>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/jeugdgezondheidszorg/jgz-html-20150715T103238/tmp-2.16.840.1.113883.2.4.6.10.100.119-2012-08-01T000000.html"
              test="@nullFlavor or exists(doc('include/voc-2.16.840.1.113883.2.4.3.11.60.100.11.2.305-DYNAMIC.xml')/*/valueSet[conceptList/concept[@code = $theCode][@codeSystem = $theCodeSystem][not(@codeSystemVersion) or @codeSystemVersion=$theCodeSystemVersion] or completeCodeSystem[@codeSystem=$theCodeSystem][not(@codeSystemVersion) or @codeSystemVersion=$theCodeSystemVersion]])">(A_OntvangenZorg-universal): de elementwaarde MOET een zijn van '2.16.840.1.113883.2.4.3.11.60.100.11.2.305 W0305 Type zorg (HL7) (DYNAMISCH)'.</assert>
      <let name="theNullFlavor" value="@nullFlavor"/>
      <let name="validNullFlavorsFound"
           value="exists(doc('include/voc-2.16.840.1.113883.2.4.3.11.60.100.11.2.305-DYNAMIC.xml')/*/valueSet/conceptList/exception[@code = $theNullFlavor][@codeSystem = '2.16.840.1.113883.5.1008'])"/>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/jeugdgezondheidszorg/jgz-html-20150715T103238/tmp-2.16.840.1.113883.2.4.6.10.100.119-2012-08-01T000000.html"
              test="not(@nullFlavor) or $validNullFlavorsFound">(A_OntvangenZorg-universal): de nulwaarde '<value-of select="@nullFlavor"/>' voor @code MOET komen uit de set die is gedefinieerd voor dit attribuut of zijn gekoppeld aan waardelijst 2.16.840.1.113883.2.4.3.11.60.100.11.2.305 W0305 Type zorg (HL7) (DYNAMISCH).</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.100.119
Context: *[hl7:patientCareProvision[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.119']]/hl7:patientCareProvision[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.119']/hl7:text
Item: (A_OntvangenZorg-universal)
-->

   <rule context="*[hl7:patientCareProvision[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.119']]/hl7:patientCareProvision[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.119']/hl7:text"
         id="tmp-r-b44e69d1-208f-49ef-b89f-8c6fbc142171">
      <assert role="error"
              see="http://decor.nictiz.nl/pub/jeugdgezondheidszorg/jgz-html-20150715T103238/tmp-2.16.840.1.113883.2.4.6.10.100.119-2012-08-01T000000.html"
              test="(local-name-from-QName(resolve-QName(@xsi:type,.))='ST' and namespace-uri-from-QName(resolve-QName(@xsi:type,.))='urn:hl7-org:v3') or not(@xsi:type)">(A_OntvangenZorg-universal): indien er een @xsi:type instructie aanwezig is MOET deze de waarde "{urn:hl7-org:v3}:ST" bevatten, gevonden "{<value-of select="namespace-uri-from-QName(resolve-QName(@xsi:type,.))"/>}:<value-of select="local-name-from-QName(resolve-QName(@xsi:type,.))"/>"</assert>
      <extends rule="ST"/>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.100.119
Context: *[hl7:patientCareProvision[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.119']]/hl7:patientCareProvision[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.119']/hl7:statusCode[@code='active' or @code='completed' or @nullFlavor]
Item: (A_OntvangenZorg-universal)
-->

   <rule context="*[hl7:patientCareProvision[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.119']]/hl7:patientCareProvision[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.119']/hl7:statusCode[@code='active' or @code='completed' or @nullFlavor]"
         id="tmp-r-4d583fc4-9f0f-4b24-8ba1-6453ab94dc83">
      <assert role="error"
              see="http://decor.nictiz.nl/pub/jeugdgezondheidszorg/jgz-html-20150715T103238/tmp-2.16.840.1.113883.2.4.6.10.100.119-2012-08-01T000000.html"
              test="(local-name-from-QName(resolve-QName(@xsi:type,.))='CS' and namespace-uri-from-QName(resolve-QName(@xsi:type,.))='urn:hl7-org:v3') or not(@xsi:type)">(A_OntvangenZorg-universal): indien er een @xsi:type instructie aanwezig is MOET deze de waarde "{urn:hl7-org:v3}:CS" bevatten, gevonden "{<value-of select="namespace-uri-from-QName(resolve-QName(@xsi:type,.))"/>}:<value-of select="local-name-from-QName(resolve-QName(@xsi:type,.))"/>"</assert>
      <extends rule="CS"/>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/jeugdgezondheidszorg/jgz-html-20150715T103238/tmp-2.16.840.1.113883.2.4.6.10.100.119-2012-08-01T000000.html"
              test="@nullFlavor or (@code='active') or (@code='completed')">(A_OntvangenZorg-universal): de elementwaarde MOET een zijn van 'code 'active' of code 'completed''.</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/jeugdgezondheidszorg/jgz-html-20150715T103238/tmp-2.16.840.1.113883.2.4.6.10.100.119-2012-08-01T000000.html"
              test="not(@nullFlavor) or @nullFlavor=('ASKU')">(A_OntvangenZorg-universal): de nulwaarde '<value-of select="@nullFlavor"/>' voor @code MOET komen uit de set die is gedefinieerd voor dit attribuut of zijn gekoppeld aan waardelijst .</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/jeugdgezondheidszorg/jgz-html-20150715T103238/tmp-2.16.840.1.113883.2.4.6.10.100.119-2012-08-01T000000.html"
              test="string(@nullFlavor)=('ASKU') or not(@nullFlavor)">(A_OntvangenZorg-universal): de waarde van @nullFlavor MOET 'ASKU' zijn.</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/jeugdgezondheidszorg/jgz-html-20150715T103238/tmp-2.16.840.1.113883.2.4.6.10.100.119-2012-08-01T000000.html"
              test="not(@nullFlavor) or (string-length(@nullFlavor)&gt;0 and not(matches(@nullFlavor,'\s')))">(A_OntvangenZorg-universal): attribuut @nullFlavor MOET datatype 'cs' hebben</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.100.10258
Context: *[hl7:patientCareProvision[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.119']]/hl7:patientCareProvision[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.119']/hl7:effectiveTime
Item: (PeriodeZorg)
-->

   <rule context="*[hl7:patientCareProvision[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.119']]/hl7:patientCareProvision[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.119']/hl7:effectiveTime"
         id="tmp-r-eb79cd97-3d12-44ee-b852-6957b0428910">
      <assert role="error"
              see="http://decor.nictiz.nl/pub/jeugdgezondheidszorg/jgz-html-20150715T103238/tmp-2.16.840.1.113883.2.4.6.10.100.10258-2012-08-01T000000.html"
              test="(local-name-from-QName(resolve-QName(@xsi:type,.))='IVL_TS' and namespace-uri-from-QName(resolve-QName(@xsi:type,.))='urn:hl7-org:v3') or not(@xsi:type)">(PeriodeZorg): indien er een @xsi:type instructie aanwezig is MOET deze de waarde "{urn:hl7-org:v3}:IVL_TS" bevatten, gevonden "{<value-of select="namespace-uri-from-QName(resolve-QName(@xsi:type,.))"/>}:<value-of select="local-name-from-QName(resolve-QName(@xsi:type,.))"/>"</assert>
      <extends rule="IVL_TS"/>
      <let name="elmcount" value="count(hl7:low|hl7:high)"/>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/jeugdgezondheidszorg/jgz-html-20150715T103238/tmp-2.16.840.1.113883.2.4.6.10.100.10258-2012-08-01T000000.html"
              test="$elmcount&gt;=1">(PeriodeZorg): keuze (hl7:low of hl7:high) bevat te weinig elementen [min 1x]</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/jeugdgezondheidszorg/jgz-html-20150715T103238/tmp-2.16.840.1.113883.2.4.6.10.100.10258-2012-08-01T000000.html"
              test="$elmcount&lt;=2">(PeriodeZorg): keuze (hl7:low of hl7:high) bevat te veel elementen [max 2x]</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/jeugdgezondheidszorg/jgz-html-20150715T103238/tmp-2.16.840.1.113883.2.4.6.10.100.10258-2012-08-01T000000.html"
              test="count(hl7:low)&lt;=1">(PeriodeZorg): element hl7:low komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/jeugdgezondheidszorg/jgz-html-20150715T103238/tmp-2.16.840.1.113883.2.4.6.10.100.10258-2012-08-01T000000.html"
              test="count(hl7:high)&lt;=1">(PeriodeZorg): element hl7:high komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/jeugdgezondheidszorg/jgz-html-20150715T103238/tmp-2.16.840.1.113883.2.4.6.10.100.10258-2012-08-01T000000.html"
              test="count(hl7:width)=0">(PeriodeZorg): element hl7:width MAG NIET voorkomen.</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/jeugdgezondheidszorg/jgz-html-20150715T103238/tmp-2.16.840.1.113883.2.4.6.10.100.10258-2012-08-01T000000.html"
              test="count(hl7:center)=0">(PeriodeZorg): element hl7:center MAG NIET voorkomen.</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.100.10258
Context: *[hl7:patientCareProvision[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.119']]/hl7:patientCareProvision[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.119']/hl7:effectiveTime/hl7:low
Item: (PeriodeZorg)
-->

   <rule context="*[hl7:patientCareProvision[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.119']]/hl7:patientCareProvision[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.119']/hl7:effectiveTime/hl7:low"
         id="tmp-r-d86f0a1c-8fc1-4930-b51a-c544ef26e895">
      <assert role="error"
              see="http://decor.nictiz.nl/pub/jeugdgezondheidszorg/jgz-html-20150715T103238/tmp-2.16.840.1.113883.2.4.6.10.100.10258-2012-08-01T000000.html"
              test="(local-name-from-QName(resolve-QName(@xsi:type,.))='TS' and namespace-uri-from-QName(resolve-QName(@xsi:type,.))='urn:hl7-org:v3') or not(@xsi:type)">(PeriodeZorg): indien er een @xsi:type instructie aanwezig is MOET deze de waarde "{urn:hl7-org:v3}:TS" bevatten, gevonden "{<value-of select="namespace-uri-from-QName(resolve-QName(@xsi:type,.))"/>}:<value-of select="local-name-from-QName(resolve-QName(@xsi:type,.))"/>"</assert>
      <extends rule="TS"/>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/jeugdgezondheidszorg/jgz-html-20150715T103238/tmp-2.16.840.1.113883.2.4.6.10.100.10258-2012-08-01T000000.html"
              test="string(@nullFlavor)=('UNK') or not(@nullFlavor)">(PeriodeZorg): de waarde van @nullFlavor MOET 'UNK' zijn.</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/jeugdgezondheidszorg/jgz-html-20150715T103238/tmp-2.16.840.1.113883.2.4.6.10.100.10258-2012-08-01T000000.html"
              test="not(@nullFlavor) or (string-length(@nullFlavor)&gt;0 and not(matches(@nullFlavor,'\s')))">(PeriodeZorg): attribuut @nullFlavor MOET datatype 'cs' hebben</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.100.10258
Context: *[hl7:patientCareProvision[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.119']]/hl7:patientCareProvision[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.119']/hl7:effectiveTime/hl7:high
Item: (PeriodeZorg)
-->

   <rule context="*[hl7:patientCareProvision[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.119']]/hl7:patientCareProvision[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.119']/hl7:effectiveTime/hl7:high"
         id="tmp-r-27d65271-8153-4a7e-bfbd-a6fce9ee2a5d">
      <assert role="error"
              see="http://decor.nictiz.nl/pub/jeugdgezondheidszorg/jgz-html-20150715T103238/tmp-2.16.840.1.113883.2.4.6.10.100.10258-2012-08-01T000000.html"
              test="(local-name-from-QName(resolve-QName(@xsi:type,.))='TS' and namespace-uri-from-QName(resolve-QName(@xsi:type,.))='urn:hl7-org:v3') or not(@xsi:type)">(PeriodeZorg): indien er een @xsi:type instructie aanwezig is MOET deze de waarde "{urn:hl7-org:v3}:TS" bevatten, gevonden "{<value-of select="namespace-uri-from-QName(resolve-QName(@xsi:type,.))"/>}:<value-of select="local-name-from-QName(resolve-QName(@xsi:type,.))"/>"</assert>
      <extends rule="TS"/>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/jeugdgezondheidszorg/jgz-html-20150715T103238/tmp-2.16.840.1.113883.2.4.6.10.100.10258-2012-08-01T000000.html"
              test="string(@nullFlavor)=('UNK') or not(@nullFlavor)">(PeriodeZorg): de waarde van @nullFlavor MOET 'UNK' zijn.</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/jeugdgezondheidszorg/jgz-html-20150715T103238/tmp-2.16.840.1.113883.2.4.6.10.100.10258-2012-08-01T000000.html"
              test="not(@nullFlavor) or (string-length(@nullFlavor)&gt;0 and not(matches(@nullFlavor,'\s')))">(PeriodeZorg): attribuut @nullFlavor MOET datatype 'cs' hebben</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.100.10258
Context: *[hl7:patientCareProvision[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.119']]/hl7:patientCareProvision[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.119']/hl7:effectiveTime/hl7:width
Item: (PeriodeZorg)
-->

   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.100.10258
Context: *[hl7:patientCareProvision[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.119']]/hl7:patientCareProvision[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.119']/hl7:effectiveTime/hl7:center
Item: (PeriodeZorg)
-->

   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.100.119
Context: *[hl7:patientCareProvision[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.119']]/hl7:patientCareProvision[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.119']/hl7:subject
Item: (A_OntvangenZorg-universal)
-->

   <rule context="*[hl7:patientCareProvision[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.119']]/hl7:patientCareProvision[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.119']/hl7:subject"
         id="tmp-r-021becfa-a64a-45c4-9ef6-d5f8579e7aae">
      <assert role="error"
              see="http://decor.nictiz.nl/pub/jeugdgezondheidszorg/jgz-html-20150715T103238/tmp-2.16.840.1.113883.2.4.6.10.100.119-2012-08-01T000000.html"
              test="string(@typeCode)=('SBJ') or not(@typeCode)">(A_OntvangenZorg-universal): de waarde van @typeCode MOET 'SBJ' zijn.</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/jeugdgezondheidszorg/jgz-html-20150715T103238/tmp-2.16.840.1.113883.2.4.6.10.100.119-2012-08-01T000000.html"
              test="not(@typeCode) or (string-length(@typeCode)&gt;0 and not(matches(@typeCode,'\s')))">(A_OntvangenZorg-universal): attribuut @typeCode MOET datatype 'cs' hebben</assert>
      <let name="elmcount"
           value="count(hl7:patient|hl7:personalRelationship[hl7:code[concat(@code,@codeSystem)=doc('include/voc-2.16.840.1.113883.2.4.3.11.60.100.11.2.307-DYNAMIC.xml')/*/valueSet/conceptList/concept/concat(@code,@codeSystem) or (@nullFlavor=doc('include/voc-2.16.840.1.113883.2.4.3.11.60.100.11.2.307-DYNAMIC.xml')/*/valueSet/conceptList/exception/@code) or @nullFlavor]])"/>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/jeugdgezondheidszorg/jgz-html-20150715T103238/tmp-2.16.840.1.113883.2.4.6.10.100.119-2012-08-01T000000.html"
              test="$elmcount&gt;=1">(A_OntvangenZorg-universal): keuze (hl7:patient of hl7:personalRelationship[hl7:code[concat(@code,@codeSystem)=doc('include/voc-2.16.840.1.113883.2.4.3.11.60.100.11.2.307-DYNAMIC.xml')/*/valueSet/conceptList/concept/concat(@code,@codeSystem) or (@nullFlavor=doc('include/voc-2.16.840.1.113883.2.4.3.11.60.100.11.2.307-DYNAMIC.xml')/*/valueSet/conceptList/exception/@code) or @nullFlavor]]) bevat te weinig elementen [min 1x]</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/jeugdgezondheidszorg/jgz-html-20150715T103238/tmp-2.16.840.1.113883.2.4.6.10.100.119-2012-08-01T000000.html"
              test="$elmcount&lt;=1">(A_OntvangenZorg-universal): keuze (hl7:patient of hl7:personalRelationship[hl7:code[concat(@code,@codeSystem)=doc('include/voc-2.16.840.1.113883.2.4.3.11.60.100.11.2.307-DYNAMIC.xml')/*/valueSet/conceptList/concept/concat(@code,@codeSystem) or (@nullFlavor=doc('include/voc-2.16.840.1.113883.2.4.3.11.60.100.11.2.307-DYNAMIC.xml')/*/valueSet/conceptList/exception/@code) or @nullFlavor]]) bevat te veel elementen [max 1x]</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.100.119
Context: *[hl7:patientCareProvision[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.119']]/hl7:patientCareProvision[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.119']/hl7:subject/hl7:patient
Item: (A_OntvangenZorg-universal)
-->

   <rule context="*[hl7:patientCareProvision[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.119']]/hl7:patientCareProvision[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.119']/hl7:subject/hl7:patient"
         id="tmp-r-e9d5ed35-7275-4520-9337-8b8a78c5be2d">
      <assert role="error"
              see="http://decor.nictiz.nl/pub/jeugdgezondheidszorg/jgz-html-20150715T103238/tmp-2.16.840.1.113883.2.4.6.10.100.119-2012-08-01T000000.html"
              test="string(@classCode)=('PAT') or not(@classCode)">(A_OntvangenZorg-universal): de waarde van @classCode MOET 'PAT' zijn.</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/jeugdgezondheidszorg/jgz-html-20150715T103238/tmp-2.16.840.1.113883.2.4.6.10.100.119-2012-08-01T000000.html"
              test="not(@classCode) or (string-length(@classCode)&gt;0 and not(matches(@classCode,'\s')))">(A_OntvangenZorg-universal): attribuut @classCode MOET datatype 'cs' hebben</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.100.119
Context: *[hl7:patientCareProvision[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.119']]/hl7:patientCareProvision[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.119']/hl7:subject/hl7:personalRelationship[hl7:code[concat(@code,@codeSystem)=doc('include/voc-2.16.840.1.113883.2.4.3.11.60.100.11.2.307-DYNAMIC.xml')/*/valueSet/conceptList/concept/concat(@code,@codeSystem) or (@nullFlavor=doc('include/voc-2.16.840.1.113883.2.4.3.11.60.100.11.2.307-DYNAMIC.xml')/*/valueSet/conceptList/exception/@code) or @nullFlavor]]
Item: (A_OntvangenZorg-universal)
-->

   <rule context="*[hl7:patientCareProvision[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.119']]/hl7:patientCareProvision[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.119']/hl7:subject/hl7:personalRelationship[hl7:code[concat(@code,@codeSystem)=doc('include/voc-2.16.840.1.113883.2.4.3.11.60.100.11.2.307-DYNAMIC.xml')/*/valueSet/conceptList/concept/concat(@code,@codeSystem) or (@nullFlavor=doc('include/voc-2.16.840.1.113883.2.4.3.11.60.100.11.2.307-DYNAMIC.xml')/*/valueSet/conceptList/exception/@code) or @nullFlavor]]"
         id="tmp-r-692dcfd7-c4c2-4958-b913-6844beb88837">
      <assert role="error"
              see="http://decor.nictiz.nl/pub/jeugdgezondheidszorg/jgz-html-20150715T103238/tmp-2.16.840.1.113883.2.4.6.10.100.119-2012-08-01T000000.html"
              test="string(@classCode)=('PRS') or not(@classCode)">(A_OntvangenZorg-universal): de waarde van @classCode MOET 'PRS' zijn.</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/jeugdgezondheidszorg/jgz-html-20150715T103238/tmp-2.16.840.1.113883.2.4.6.10.100.119-2012-08-01T000000.html"
              test="not(@classCode) or (string-length(@classCode)&gt;0 and not(matches(@classCode,'\s')))">(A_OntvangenZorg-universal): attribuut @classCode MOET datatype 'cs' hebben</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/jeugdgezondheidszorg/jgz-html-20150715T103238/tmp-2.16.840.1.113883.2.4.6.10.100.119-2012-08-01T000000.html"
              test="count(hl7:code[concat(@code,@codeSystem)=doc('include/voc-2.16.840.1.113883.2.4.3.11.60.100.11.2.307-DYNAMIC.xml')/*/valueSet/conceptList/concept/concat(@code,@codeSystem) or (@nullFlavor=doc('include/voc-2.16.840.1.113883.2.4.3.11.60.100.11.2.307-DYNAMIC.xml')/*/valueSet/conceptList/exception/@code) or @nullFlavor])&gt;=1 ">(A_OntvangenZorg-universal): element hl7:code[concat(@code,@codeSystem)=doc('include/voc-2.16.840.1.113883.2.4.3.11.60.100.11.2.307-DYNAMIC.xml')/*/valueSet/conceptList/concept/concat(@code,@codeSystem) or (@nullFlavor=doc('include/voc-2.16.840.1.113883.2.4.3.11.60.100.11.2.307-DYNAMIC.xml')/*/valueSet/conceptList/exception/@code) or @nullFlavor] is required [min 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/jeugdgezondheidszorg/jgz-html-20150715T103238/tmp-2.16.840.1.113883.2.4.6.10.100.119-2012-08-01T000000.html"
              test="count(hl7:code[concat(@code,@codeSystem)=doc('include/voc-2.16.840.1.113883.2.4.3.11.60.100.11.2.307-DYNAMIC.xml')/*/valueSet/conceptList/concept/concat(@code,@codeSystem) or (@nullFlavor=doc('include/voc-2.16.840.1.113883.2.4.3.11.60.100.11.2.307-DYNAMIC.xml')/*/valueSet/conceptList/exception/@code) or @nullFlavor])&lt;=1">(A_OntvangenZorg-universal): element hl7:code[concat(@code,@codeSystem)=doc('include/voc-2.16.840.1.113883.2.4.3.11.60.100.11.2.307-DYNAMIC.xml')/*/valueSet/conceptList/concept/concat(@code,@codeSystem) or (@nullFlavor=doc('include/voc-2.16.840.1.113883.2.4.3.11.60.100.11.2.307-DYNAMIC.xml')/*/valueSet/conceptList/exception/@code) or @nullFlavor] komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/jeugdgezondheidszorg/jgz-html-20150715T103238/tmp-2.16.840.1.113883.2.4.6.10.100.119-2012-08-01T000000.html"
              test="count(hl7:relationshipHolder)&gt;=1 ">(A_OntvangenZorg-universal): element hl7:relationshipHolder is required [min 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/jeugdgezondheidszorg/jgz-html-20150715T103238/tmp-2.16.840.1.113883.2.4.6.10.100.119-2012-08-01T000000.html"
              test="count(hl7:relationshipHolder)&lt;=1">(A_OntvangenZorg-universal): element hl7:relationshipHolder komt te vaak voor [max 1x].</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.100.119
Context: *[hl7:patientCareProvision[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.119']]/hl7:patientCareProvision[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.119']/hl7:subject/hl7:personalRelationship[hl7:code[concat(@code,@codeSystem)=doc('include/voc-2.16.840.1.113883.2.4.3.11.60.100.11.2.307-DYNAMIC.xml')/*/valueSet/conceptList/concept/concat(@code,@codeSystem) or (@nullFlavor=doc('include/voc-2.16.840.1.113883.2.4.3.11.60.100.11.2.307-DYNAMIC.xml')/*/valueSet/conceptList/exception/@code) or @nullFlavor]]/hl7:code[concat(@code,@codeSystem)=doc('include/voc-2.16.840.1.113883.2.4.3.11.60.100.11.2.307-DYNAMIC.xml')/*/valueSet/conceptList/concept/concat(@code,@codeSystem) or (@nullFlavor=doc('include/voc-2.16.840.1.113883.2.4.3.11.60.100.11.2.307-DYNAMIC.xml')/*/valueSet/conceptList/exception/@code) or @nullFlavor]
Item: (A_OntvangenZorg-universal)
-->

   <rule context="*[hl7:patientCareProvision[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.119']]/hl7:patientCareProvision[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.119']/hl7:subject/hl7:personalRelationship[hl7:code[concat(@code,@codeSystem)=doc('include/voc-2.16.840.1.113883.2.4.3.11.60.100.11.2.307-DYNAMIC.xml')/*/valueSet/conceptList/concept/concat(@code,@codeSystem) or (@nullFlavor=doc('include/voc-2.16.840.1.113883.2.4.3.11.60.100.11.2.307-DYNAMIC.xml')/*/valueSet/conceptList/exception/@code) or @nullFlavor]]/hl7:code[concat(@code,@codeSystem)=doc('include/voc-2.16.840.1.113883.2.4.3.11.60.100.11.2.307-DYNAMIC.xml')/*/valueSet/conceptList/concept/concat(@code,@codeSystem) or (@nullFlavor=doc('include/voc-2.16.840.1.113883.2.4.3.11.60.100.11.2.307-DYNAMIC.xml')/*/valueSet/conceptList/exception/@code) or @nullFlavor]"
         id="tmp-r-2106b165-14bc-4d0c-a224-5ce2f5818c5d">
      <assert role="error"
              see="http://decor.nictiz.nl/pub/jeugdgezondheidszorg/jgz-html-20150715T103238/tmp-2.16.840.1.113883.2.4.6.10.100.119-2012-08-01T000000.html"
              test="(local-name-from-QName(resolve-QName(@xsi:type,.))='CV' and namespace-uri-from-QName(resolve-QName(@xsi:type,.))='urn:hl7-org:v3') or not(@xsi:type)">(A_OntvangenZorg-universal): indien er een @xsi:type instructie aanwezig is MOET deze de waarde "{urn:hl7-org:v3}:CV" bevatten, gevonden "{<value-of select="namespace-uri-from-QName(resolve-QName(@xsi:type,.))"/>}:<value-of select="local-name-from-QName(resolve-QName(@xsi:type,.))"/>"</assert>
      <extends rule="CV"/>
      <let name="theCode" value="@code"/>
      <let name="theCodeSystem" value="@codeSystem"/>
      <let name="theCodeSystemVersion" value="@codeSystemVersion"/>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/jeugdgezondheidszorg/jgz-html-20150715T103238/tmp-2.16.840.1.113883.2.4.6.10.100.119-2012-08-01T000000.html"
              test="@nullFlavor or exists(doc('include/voc-2.16.840.1.113883.2.4.3.11.60.100.11.2.307-DYNAMIC.xml')/*/valueSet[conceptList/concept[@code = $theCode][@codeSystem = $theCodeSystem][not(@codeSystemVersion) or @codeSystemVersion=$theCodeSystemVersion] or completeCodeSystem[@codeSystem=$theCodeSystem][not(@codeSystemVersion) or @codeSystemVersion=$theCodeSystemVersion]])">(A_OntvangenZorg-universal): de elementwaarde MOET een zijn van '2.16.840.1.113883.2.4.3.11.60.100.11.2.307 W0307 Zorg voor (HL7) (DYNAMISCH)'.</assert>
      <let name="theNullFlavor" value="@nullFlavor"/>
      <let name="validNullFlavorsFound"
           value="exists(doc('include/voc-2.16.840.1.113883.2.4.3.11.60.100.11.2.307-DYNAMIC.xml')/*/valueSet/conceptList/exception[@code = $theNullFlavor][@codeSystem = '2.16.840.1.113883.5.1008'])"/>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/jeugdgezondheidszorg/jgz-html-20150715T103238/tmp-2.16.840.1.113883.2.4.6.10.100.119-2012-08-01T000000.html"
              test="not(@nullFlavor) or $validNullFlavorsFound">(A_OntvangenZorg-universal): de nulwaarde '<value-of select="@nullFlavor"/>' voor @code MOET komen uit de set die is gedefinieerd voor dit attribuut of zijn gekoppeld aan waardelijst 2.16.840.1.113883.2.4.3.11.60.100.11.2.307 W0307 Zorg voor (HL7) (DYNAMISCH).</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.100.119
Context: *[hl7:patientCareProvision[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.119']]/hl7:patientCareProvision[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.119']/hl7:subject/hl7:personalRelationship[hl7:code[concat(@code,@codeSystem)=doc('include/voc-2.16.840.1.113883.2.4.3.11.60.100.11.2.307-DYNAMIC.xml')/*/valueSet/conceptList/concept/concat(@code,@codeSystem) or (@nullFlavor=doc('include/voc-2.16.840.1.113883.2.4.3.11.60.100.11.2.307-DYNAMIC.xml')/*/valueSet/conceptList/exception/@code) or @nullFlavor]]/hl7:relationshipHolder
Item: (A_OntvangenZorg-universal)
-->

   <rule context="*[hl7:patientCareProvision[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.119']]/hl7:patientCareProvision[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.119']/hl7:subject/hl7:personalRelationship[hl7:code[concat(@code,@codeSystem)=doc('include/voc-2.16.840.1.113883.2.4.3.11.60.100.11.2.307-DYNAMIC.xml')/*/valueSet/conceptList/concept/concat(@code,@codeSystem) or (@nullFlavor=doc('include/voc-2.16.840.1.113883.2.4.3.11.60.100.11.2.307-DYNAMIC.xml')/*/valueSet/conceptList/exception/@code) or @nullFlavor]]/hl7:relationshipHolder"
         id="tmp-r-bc543761-8a77-4910-a858-6e3ddf2af73e">
      <assert role="error"
              see="http://decor.nictiz.nl/pub/jeugdgezondheidszorg/jgz-html-20150715T103238/tmp-2.16.840.1.113883.2.4.6.10.100.119-2012-08-01T000000.html"
              test="(local-name-from-QName(resolve-QName(@xsi:type,.))='CV' and namespace-uri-from-QName(resolve-QName(@xsi:type,.))='urn:hl7-org:v3') or not(@xsi:type)">(A_OntvangenZorg-universal): indien er een @xsi:type instructie aanwezig is MOET deze de waarde "{urn:hl7-org:v3}:CV" bevatten, gevonden "{<value-of select="namespace-uri-from-QName(resolve-QName(@xsi:type,.))"/>}:<value-of select="local-name-from-QName(resolve-QName(@xsi:type,.))"/>"</assert>
      <extends rule="CV"/>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/jeugdgezondheidszorg/jgz-html-20150715T103238/tmp-2.16.840.1.113883.2.4.6.10.100.119-2012-08-01T000000.html"
              test="string(@classCode)=('PSN')">(A_OntvangenZorg-universal): de waarde van @classCode MOET 'PSN' zijn.</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/jeugdgezondheidszorg/jgz-html-20150715T103238/tmp-2.16.840.1.113883.2.4.6.10.100.119-2012-08-01T000000.html"
              test="not(@classCode) or (string-length(@classCode)&gt;0 and not(matches(@classCode,'\s')))">(A_OntvangenZorg-universal): attribuut @classCode MOET datatype 'cs' hebben</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/jeugdgezondheidszorg/jgz-html-20150715T103238/tmp-2.16.840.1.113883.2.4.6.10.100.119-2012-08-01T000000.html"
              test="string(@determinerCode)=('INSTANCE')">(A_OntvangenZorg-universal): de waarde van @determinerCode MOET 'INSTANCE' zijn.</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/jeugdgezondheidszorg/jgz-html-20150715T103238/tmp-2.16.840.1.113883.2.4.6.10.100.119-2012-08-01T000000.html"
              test="not(@determinerCode) or (string-length(@determinerCode)&gt;0 and not(matches(@determinerCode,'\s')))">(A_OntvangenZorg-universal): attribuut @determinerCode MOET datatype 'cs' hebben</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/jeugdgezondheidszorg/jgz-html-20150715T103238/tmp-2.16.840.1.113883.2.4.6.10.100.119-2012-08-01T000000.html"
              test="string(@nullFlavor)=('NI')">(A_OntvangenZorg-universal): de waarde van @nullFlavor MOET 'NI' zijn.</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/jeugdgezondheidszorg/jgz-html-20150715T103238/tmp-2.16.840.1.113883.2.4.6.10.100.119-2012-08-01T000000.html"
              test="not(@nullFlavor) or (string-length(@nullFlavor)&gt;0 and not(matches(@nullFlavor,'\s')))">(A_OntvangenZorg-universal): attribuut @nullFlavor MOET datatype 'cs' hebben</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.100.119
Context: *[hl7:patientCareProvision[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.119']]/hl7:patientCareProvision[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.119']/hl7:goal[hl7:observationGoal[hl7:code[(@code='829' and @codeSystem='2.16.840.1.113883.2.4.4.40.267')]]]
Item: (A_OntvangenZorg-universal)
-->

   <rule context="*[hl7:patientCareProvision[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.119']]/hl7:patientCareProvision[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.119']/hl7:goal[hl7:observationGoal[hl7:code[(@code='829' and @codeSystem='2.16.840.1.113883.2.4.4.40.267')]]]"
         id="tmp-r-d3978ec2-30ef-43f5-8889-0f1d56199469">
      <assert role="error"
              see="http://decor.nictiz.nl/pub/jeugdgezondheidszorg/jgz-html-20150715T103238/tmp-2.16.840.1.113883.2.4.6.10.100.119-2012-08-01T000000.html"
              test="string(@typeCode)=('COMP') or not(@typeCode)">(A_OntvangenZorg-universal): de waarde van @typeCode MOET 'COMP' zijn.</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/jeugdgezondheidszorg/jgz-html-20150715T103238/tmp-2.16.840.1.113883.2.4.6.10.100.119-2012-08-01T000000.html"
              test="not(@typeCode) or (string-length(@typeCode)&gt;0 and not(matches(@typeCode,'\s')))">(A_OntvangenZorg-universal): attribuut @typeCode MOET datatype 'cs' hebben</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/jeugdgezondheidszorg/jgz-html-20150715T103238/tmp-2.16.840.1.113883.2.4.6.10.100.119-2012-08-01T000000.html"
              test="count(hl7:observationGoal[hl7:code[(@code='829' and @codeSystem='2.16.840.1.113883.2.4.4.40.267')]])&gt;=1 and not(hl7:observationGoal[hl7:code[(@code='829' and @codeSystem='2.16.840.1.113883.2.4.4.40.267')]]/@nullFlavor)">(A_OntvangenZorg-universal): element hl7:observationGoal[hl7:code[(@code='829' and @codeSystem='2.16.840.1.113883.2.4.4.40.267')]] is mandatory [min 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/jeugdgezondheidszorg/jgz-html-20150715T103238/tmp-2.16.840.1.113883.2.4.6.10.100.119-2012-08-01T000000.html"
              test="count(hl7:observationGoal[hl7:code[(@code='829' and @codeSystem='2.16.840.1.113883.2.4.4.40.267')]])&lt;=1">(A_OntvangenZorg-universal): element hl7:observationGoal[hl7:code[(@code='829' and @codeSystem='2.16.840.1.113883.2.4.4.40.267')]] komt te vaak voor [max 1x].</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.100.119
Context: *[hl7:patientCareProvision[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.119']]/hl7:patientCareProvision[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.119']/hl7:goal[hl7:observationGoal[hl7:code[(@code='829' and @codeSystem='2.16.840.1.113883.2.4.4.40.267')]]]/hl7:observationGoal[hl7:code[(@code='829' and @codeSystem='2.16.840.1.113883.2.4.4.40.267')]]
Item: (A_OntvangenZorg-universal)
-->

   <rule context="*[hl7:patientCareProvision[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.119']]/hl7:patientCareProvision[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.119']/hl7:goal[hl7:observationGoal[hl7:code[(@code='829' and @codeSystem='2.16.840.1.113883.2.4.4.40.267')]]]/hl7:observationGoal[hl7:code[(@code='829' and @codeSystem='2.16.840.1.113883.2.4.4.40.267')]]"
         id="tmp-r-9ec84f17-446a-4b76-bbac-e96952518535">
      <assert role="error"
              see="http://decor.nictiz.nl/pub/jeugdgezondheidszorg/jgz-html-20150715T103238/tmp-2.16.840.1.113883.2.4.6.10.100.119-2012-08-01T000000.html"
              test="string(@classCode)=('PCPR') or not(@classCode)">(A_OntvangenZorg-universal): de waarde van @classCode MOET 'PCPR' zijn.</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/jeugdgezondheidszorg/jgz-html-20150715T103238/tmp-2.16.840.1.113883.2.4.6.10.100.119-2012-08-01T000000.html"
              test="not(@classCode) or (string-length(@classCode)&gt;0 and not(matches(@classCode,'\s')))">(A_OntvangenZorg-universal): attribuut @classCode MOET datatype 'cs' hebben</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/jeugdgezondheidszorg/jgz-html-20150715T103238/tmp-2.16.840.1.113883.2.4.6.10.100.119-2012-08-01T000000.html"
              test="string(@moodCode)=('INT') or not(@moodCode)">(A_OntvangenZorg-universal): de waarde van @moodCode MOET 'INT' zijn.</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/jeugdgezondheidszorg/jgz-html-20150715T103238/tmp-2.16.840.1.113883.2.4.6.10.100.119-2012-08-01T000000.html"
              test="not(@moodCode) or (string-length(@moodCode)&gt;0 and not(matches(@moodCode,'\s')))">(A_OntvangenZorg-universal): attribuut @moodCode MOET datatype 'cs' hebben</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/jeugdgezondheidszorg/jgz-html-20150715T103238/tmp-2.16.840.1.113883.2.4.6.10.100.119-2012-08-01T000000.html"
              test="count(hl7:code[(@code='829' and @codeSystem='2.16.840.1.113883.2.4.4.40.267')])&gt;=1 and not(hl7:code[(@code='829' and @codeSystem='2.16.840.1.113883.2.4.4.40.267')]/@nullFlavor)">(A_OntvangenZorg-universal): element hl7:code[(@code='829' and @codeSystem='2.16.840.1.113883.2.4.4.40.267')] is mandatory [min 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/jeugdgezondheidszorg/jgz-html-20150715T103238/tmp-2.16.840.1.113883.2.4.6.10.100.119-2012-08-01T000000.html"
              test="count(hl7:code[(@code='829' and @codeSystem='2.16.840.1.113883.2.4.4.40.267')])&lt;=1">(A_OntvangenZorg-universal): element hl7:code[(@code='829' and @codeSystem='2.16.840.1.113883.2.4.4.40.267')] komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/jeugdgezondheidszorg/jgz-html-20150715T103238/tmp-2.16.840.1.113883.2.4.6.10.100.119-2012-08-01T000000.html"
              test="count(hl7:text)&gt;=1 and not(hl7:text/@nullFlavor)">(A_OntvangenZorg-universal): element hl7:text is mandatory [min 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/jeugdgezondheidszorg/jgz-html-20150715T103238/tmp-2.16.840.1.113883.2.4.6.10.100.119-2012-08-01T000000.html"
              test="count(hl7:text)&lt;=1">(A_OntvangenZorg-universal): element hl7:text komt te vaak voor [max 1x].</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.100.119
Context: *[hl7:patientCareProvision[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.119']]/hl7:patientCareProvision[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.119']/hl7:goal[hl7:observationGoal[hl7:code[(@code='829' and @codeSystem='2.16.840.1.113883.2.4.4.40.267')]]]/hl7:observationGoal[hl7:code[(@code='829' and @codeSystem='2.16.840.1.113883.2.4.4.40.267')]]/hl7:code[(@code='829' and @codeSystem='2.16.840.1.113883.2.4.4.40.267')]
Item: (A_OntvangenZorg-universal)
-->

   <rule context="*[hl7:patientCareProvision[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.119']]/hl7:patientCareProvision[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.119']/hl7:goal[hl7:observationGoal[hl7:code[(@code='829' and @codeSystem='2.16.840.1.113883.2.4.4.40.267')]]]/hl7:observationGoal[hl7:code[(@code='829' and @codeSystem='2.16.840.1.113883.2.4.4.40.267')]]/hl7:code[(@code='829' and @codeSystem='2.16.840.1.113883.2.4.4.40.267')]"
         id="tmp-r-c74a80ca-b2d6-4496-9196-bd8e0bd5188f">
      <assert role="error"
              see="http://decor.nictiz.nl/pub/jeugdgezondheidszorg/jgz-html-20150715T103238/tmp-2.16.840.1.113883.2.4.6.10.100.119-2012-08-01T000000.html"
              test="(local-name-from-QName(resolve-QName(@xsi:type,.))='CV' and namespace-uri-from-QName(resolve-QName(@xsi:type,.))='urn:hl7-org:v3') or not(@xsi:type)">(A_OntvangenZorg-universal): indien er een @xsi:type instructie aanwezig is MOET deze de waarde "{urn:hl7-org:v3}:CV" bevatten, gevonden "{<value-of select="namespace-uri-from-QName(resolve-QName(@xsi:type,.))"/>}:<value-of select="local-name-from-QName(resolve-QName(@xsi:type,.))"/>"</assert>
      <extends rule="CV"/>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/jeugdgezondheidszorg/jgz-html-20150715T103238/tmp-2.16.840.1.113883.2.4.6.10.100.119-2012-08-01T000000.html"
              test="@nullFlavor or (@code='829' and @codeSystem='2.16.840.1.113883.2.4.4.40.267')">(A_OntvangenZorg-universal): de elementwaarde MOET een zijn van 'code '829' codeSystem '2.16.840.1.113883.2.4.4.40.267''.</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.100.119
Context: *[hl7:patientCareProvision[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.119']]/hl7:patientCareProvision[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.119']/hl7:goal[hl7:observationGoal[hl7:code[(@code='829' and @codeSystem='2.16.840.1.113883.2.4.4.40.267')]]]/hl7:observationGoal[hl7:code[(@code='829' and @codeSystem='2.16.840.1.113883.2.4.4.40.267')]]/hl7:text
Item: (A_OntvangenZorg-universal)
-->

   <rule context="*[hl7:patientCareProvision[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.119']]/hl7:patientCareProvision[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.119']/hl7:goal[hl7:observationGoal[hl7:code[(@code='829' and @codeSystem='2.16.840.1.113883.2.4.4.40.267')]]]/hl7:observationGoal[hl7:code[(@code='829' and @codeSystem='2.16.840.1.113883.2.4.4.40.267')]]/hl7:text"
         id="tmp-r-b0b2c8fc-ae3e-496b-9c3b-977e04cfeb28">
      <assert role="error"
              see="http://decor.nictiz.nl/pub/jeugdgezondheidszorg/jgz-html-20150715T103238/tmp-2.16.840.1.113883.2.4.6.10.100.119-2012-08-01T000000.html"
              test="(local-name-from-QName(resolve-QName(@xsi:type,.))='ST' and namespace-uri-from-QName(resolve-QName(@xsi:type,.))='urn:hl7-org:v3') or not(@xsi:type)">(A_OntvangenZorg-universal): indien er een @xsi:type instructie aanwezig is MOET deze de waarde "{urn:hl7-org:v3}:ST" bevatten, gevonden "{<value-of select="namespace-uri-from-QName(resolve-QName(@xsi:type,.))"/>}:<value-of select="local-name-from-QName(resolve-QName(@xsi:type,.))"/>"</assert>
      <extends rule="ST"/>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.100.119
Context: *[hl7:patientCareProvision[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.119']]/hl7:patientCareProvision[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.119']/hl7:reasonOf[hl7:patientCareObservation[hl7:code[(@code='365' and @codeSystem='2.16.840.1.113883.2.4.4.40.267')]]]
Item: (A_OntvangenZorg-universal)
-->

   <rule context="*[hl7:patientCareProvision[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.119']]/hl7:patientCareProvision[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.119']/hl7:reasonOf[hl7:patientCareObservation[hl7:code[(@code='365' and @codeSystem='2.16.840.1.113883.2.4.4.40.267')]]]"
         id="tmp-r-7eeb636d-49fd-4318-8ccd-31a4d89e1a7b">
      <assert role="error"
              see="http://decor.nictiz.nl/pub/jeugdgezondheidszorg/jgz-html-20150715T103238/tmp-2.16.840.1.113883.2.4.6.10.100.119-2012-08-01T000000.html"
              test="string(@typeCode)=('COMP') or not(@typeCode)">(A_OntvangenZorg-universal): de waarde van @typeCode MOET 'COMP' zijn.</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/jeugdgezondheidszorg/jgz-html-20150715T103238/tmp-2.16.840.1.113883.2.4.6.10.100.119-2012-08-01T000000.html"
              test="not(@typeCode) or (string-length(@typeCode)&gt;0 and not(matches(@typeCode,'\s')))">(A_OntvangenZorg-universal): attribuut @typeCode MOET datatype 'cs' hebben</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/jeugdgezondheidszorg/jgz-html-20150715T103238/tmp-2.16.840.1.113883.2.4.6.10.100.119-2012-08-01T000000.html"
              test="count(hl7:patientCareObservation[hl7:code[(@code='365' and @codeSystem='2.16.840.1.113883.2.4.4.40.267')]])&gt;=1 and not(hl7:patientCareObservation[hl7:code[(@code='365' and @codeSystem='2.16.840.1.113883.2.4.4.40.267')]]/@nullFlavor)">(A_OntvangenZorg-universal): element hl7:patientCareObservation[hl7:code[(@code='365' and @codeSystem='2.16.840.1.113883.2.4.4.40.267')]] is mandatory [min 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/jeugdgezondheidszorg/jgz-html-20150715T103238/tmp-2.16.840.1.113883.2.4.6.10.100.119-2012-08-01T000000.html"
              test="count(hl7:patientCareObservation[hl7:code[(@code='365' and @codeSystem='2.16.840.1.113883.2.4.4.40.267')]])&lt;=1">(A_OntvangenZorg-universal): element hl7:patientCareObservation[hl7:code[(@code='365' and @codeSystem='2.16.840.1.113883.2.4.4.40.267')]] komt te vaak voor [max 1x].</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.100.119
Context: *[hl7:patientCareProvision[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.119']]/hl7:patientCareProvision[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.119']/hl7:reasonOf[hl7:patientCareObservation[hl7:code[(@code='365' and @codeSystem='2.16.840.1.113883.2.4.4.40.267')]]]/hl7:patientCareObservation[hl7:code[(@code='365' and @codeSystem='2.16.840.1.113883.2.4.4.40.267')]]
Item: (A_OntvangenZorg-universal)
-->

   <rule context="*[hl7:patientCareProvision[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.119']]/hl7:patientCareProvision[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.119']/hl7:reasonOf[hl7:patientCareObservation[hl7:code[(@code='365' and @codeSystem='2.16.840.1.113883.2.4.4.40.267')]]]/hl7:patientCareObservation[hl7:code[(@code='365' and @codeSystem='2.16.840.1.113883.2.4.4.40.267')]]"
         id="tmp-r-59aa0e78-32f8-45cf-8065-b52445588003">
      <assert role="error"
              see="http://decor.nictiz.nl/pub/jeugdgezondheidszorg/jgz-html-20150715T103238/tmp-2.16.840.1.113883.2.4.6.10.100.119-2012-08-01T000000.html"
              test="string(@classCode)=('OBS') or not(@classCode)">(A_OntvangenZorg-universal): de waarde van @classCode MOET 'OBS' zijn.</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/jeugdgezondheidszorg/jgz-html-20150715T103238/tmp-2.16.840.1.113883.2.4.6.10.100.119-2012-08-01T000000.html"
              test="not(@classCode) or (string-length(@classCode)&gt;0 and not(matches(@classCode,'\s')))">(A_OntvangenZorg-universal): attribuut @classCode MOET datatype 'cs' hebben</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/jeugdgezondheidszorg/jgz-html-20150715T103238/tmp-2.16.840.1.113883.2.4.6.10.100.119-2012-08-01T000000.html"
              test="string(@moodCode)=('EVN') or not(@moodCode)">(A_OntvangenZorg-universal): de waarde van @moodCode MOET 'EVN' zijn.</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/jeugdgezondheidszorg/jgz-html-20150715T103238/tmp-2.16.840.1.113883.2.4.6.10.100.119-2012-08-01T000000.html"
              test="not(@moodCode) or (string-length(@moodCode)&gt;0 and not(matches(@moodCode,'\s')))">(A_OntvangenZorg-universal): attribuut @moodCode MOET datatype 'cs' hebben</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/jeugdgezondheidszorg/jgz-html-20150715T103238/tmp-2.16.840.1.113883.2.4.6.10.100.119-2012-08-01T000000.html"
              test="count(hl7:code[(@code='365' and @codeSystem='2.16.840.1.113883.2.4.4.40.267')])&gt;=1 and not(hl7:code[(@code='365' and @codeSystem='2.16.840.1.113883.2.4.4.40.267')]/@nullFlavor)">(A_OntvangenZorg-universal): element hl7:code[(@code='365' and @codeSystem='2.16.840.1.113883.2.4.4.40.267')] is mandatory [min 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/jeugdgezondheidszorg/jgz-html-20150715T103238/tmp-2.16.840.1.113883.2.4.6.10.100.119-2012-08-01T000000.html"
              test="count(hl7:code[(@code='365' and @codeSystem='2.16.840.1.113883.2.4.4.40.267')])&lt;=1">(A_OntvangenZorg-universal): element hl7:code[(@code='365' and @codeSystem='2.16.840.1.113883.2.4.4.40.267')] komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/jeugdgezondheidszorg/jgz-html-20150715T103238/tmp-2.16.840.1.113883.2.4.6.10.100.119-2012-08-01T000000.html"
              test="count(hl7:value)&gt;=1 and not(hl7:value/@nullFlavor)">(A_OntvangenZorg-universal): element hl7:value is mandatory [min 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/jeugdgezondheidszorg/jgz-html-20150715T103238/tmp-2.16.840.1.113883.2.4.6.10.100.119-2012-08-01T000000.html"
              test="count(hl7:value)&lt;=1">(A_OntvangenZorg-universal): element hl7:value komt te vaak voor [max 1x].</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.100.119
Context: *[hl7:patientCareProvision[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.119']]/hl7:patientCareProvision[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.119']/hl7:reasonOf[hl7:patientCareObservation[hl7:code[(@code='365' and @codeSystem='2.16.840.1.113883.2.4.4.40.267')]]]/hl7:patientCareObservation[hl7:code[(@code='365' and @codeSystem='2.16.840.1.113883.2.4.4.40.267')]]/hl7:code[(@code='365' and @codeSystem='2.16.840.1.113883.2.4.4.40.267')]
Item: (A_OntvangenZorg-universal)
-->

   <rule context="*[hl7:patientCareProvision[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.119']]/hl7:patientCareProvision[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.119']/hl7:reasonOf[hl7:patientCareObservation[hl7:code[(@code='365' and @codeSystem='2.16.840.1.113883.2.4.4.40.267')]]]/hl7:patientCareObservation[hl7:code[(@code='365' and @codeSystem='2.16.840.1.113883.2.4.4.40.267')]]/hl7:code[(@code='365' and @codeSystem='2.16.840.1.113883.2.4.4.40.267')]"
         id="tmp-r-63ac11b2-618c-4f80-a1df-f1b01e7b5b8f">
      <assert role="error"
              see="http://decor.nictiz.nl/pub/jeugdgezondheidszorg/jgz-html-20150715T103238/tmp-2.16.840.1.113883.2.4.6.10.100.119-2012-08-01T000000.html"
              test="(local-name-from-QName(resolve-QName(@xsi:type,.))='CV' and namespace-uri-from-QName(resolve-QName(@xsi:type,.))='urn:hl7-org:v3') or not(@xsi:type)">(A_OntvangenZorg-universal): indien er een @xsi:type instructie aanwezig is MOET deze de waarde "{urn:hl7-org:v3}:CV" bevatten, gevonden "{<value-of select="namespace-uri-from-QName(resolve-QName(@xsi:type,.))"/>}:<value-of select="local-name-from-QName(resolve-QName(@xsi:type,.))"/>"</assert>
      <extends rule="CV"/>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/jeugdgezondheidszorg/jgz-html-20150715T103238/tmp-2.16.840.1.113883.2.4.6.10.100.119-2012-08-01T000000.html"
              test="@nullFlavor or (@code='365' and @codeSystem='2.16.840.1.113883.2.4.4.40.267')">(A_OntvangenZorg-universal): de elementwaarde MOET een zijn van 'code '365' codeSystem '2.16.840.1.113883.2.4.4.40.267''.</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.100.119
Context: *[hl7:patientCareProvision[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.119']]/hl7:patientCareProvision[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.119']/hl7:reasonOf[hl7:patientCareObservation[hl7:code[(@code='365' and @codeSystem='2.16.840.1.113883.2.4.4.40.267')]]]/hl7:patientCareObservation[hl7:code[(@code='365' and @codeSystem='2.16.840.1.113883.2.4.4.40.267')]]/hl7:value
Item: (A_OntvangenZorg-universal)
-->

   <rule context="*[hl7:patientCareProvision[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.119']]/hl7:patientCareProvision[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.119']/hl7:reasonOf[hl7:patientCareObservation[hl7:code[(@code='365' and @codeSystem='2.16.840.1.113883.2.4.4.40.267')]]]/hl7:patientCareObservation[hl7:code[(@code='365' and @codeSystem='2.16.840.1.113883.2.4.4.40.267')]]/hl7:value"
         id="tmp-r-723cae16-f1cf-49b1-b184-3542b8cc413f">
      <assert role="error"
              see="http://decor.nictiz.nl/pub/jeugdgezondheidszorg/jgz-html-20150715T103238/tmp-2.16.840.1.113883.2.4.6.10.100.119-2012-08-01T000000.html"
              test="(local-name-from-QName(resolve-QName(@xsi:type,.))='ST' and namespace-uri-from-QName(resolve-QName(@xsi:type,.))='urn:hl7-org:v3') or not(@xsi:type)">(A_OntvangenZorg-universal): indien er een @xsi:type instructie aanwezig is MOET deze de waarde "{urn:hl7-org:v3}:ST" bevatten, gevonden "{<value-of select="namespace-uri-from-QName(resolve-QName(@xsi:type,.))"/>}:<value-of select="local-name-from-QName(resolve-QName(@xsi:type,.))"/>"</assert>
      <extends rule="ST"/>
   </rule>
</pattern>
